package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*购物车
* @author quyixiao
* @since 2025-12-04
*/

@Data
@TableName("vv_trade_order")
public class VvTradeOrderEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvTradeOrderEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";                          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                      // 修改时间
    public final static String num_ = CLASS_NAME + "num";                                     // 数量
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                      // 买家手机号
    public final static String buyer_name = CLASS_NAME + "buyer_name";                        // 买家名
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";                    // 买家微信
    public final static String pay_amount = CLASS_NAME + "pay_amount";                        // 支付金额
    public final static String refund_amount = CLASS_NAME + "refund_amount";                  // 退款金额
    public final static String refund_count = CLASS_NAME + "refund_count";                    // 退货数量
    public final static String buyer_id = CLASS_NAME + "buyer_id";                            // 买家id
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";            // 创建时间撮
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";            // 修改时间撮
    public final static String contry_ = CLASS_NAME + "contry";                               // 国家
    public final static String province_ = CLASS_NAME + "province";                           // 省
    public final static String city_ = CLASS_NAME + "city";                                   // 市
    public final static String district_ = CLASS_NAME + "district";                           // 区
    public final static String buyer_detail_address = CLASS_NAME + "buyer_detail_address";    // 买家详细地址
    public final static String gmt_down_order = CLASS_NAME + "gmt_down_order";                // 下单时间
    public final static String gmt_pay = CLASS_NAME + "gmt_pay";                              // 支付时间
    public final static String app_name = CLASS_NAME + "app_name";                            // app 来源
    public final static String channel_ = CLASS_NAME + "channel";                             // 渠道，如抖音，微信小程序，朋友圈，bilibili 等
    public final static String promoter_id = CLASS_NAME + "promoter_id";                      // 推广者买家id
    public final static String trade_info = CLASS_NAME + "trade_info";                        // 交易信息
    public final static String transaction_id = CLASS_NAME + "transaction_id";                // 事务id
    public final static String buyer_address_id = CLASS_NAME + "buyer_address_id";            // 买家地址id
    public final static String promotion_price = CLASS_NAME + "promotion_price";              // 促销价
    public final static String out_trade_no = CLASS_NAME + "out_trade_no";                    // 
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //数量
    private Integer num;
    //买家手机号
    private String buyerPhone;
    //买家名
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //支付金额
    private BigDecimal payAmount;
    //退款金额
    private BigDecimal refundAmount;
    //退货数量
    private Integer refundCount;
    //买家id
    private Long buyerId;
    //创建时间撮
    private Long createTimestamp;
    //修改时间撮
    private Long modifyTimestamp;
    //国家
    private String contry;
    //省
    private String province;
    //市
    private String city;
    //区
    private String district;
    //买家详细地址
    private String buyerDetailAddress;
    //下单时间
    private Date gmtDownOrder;
    //支付时间
    private Date gmtPay;
    //app 来源
    private String appName;
    //渠道，如抖音，微信小程序，朋友圈，bilibili 等
    private String channel;
    //推广者买家id
    private String promoterId;
    //交易信息
    private String tradeInfo;
    //事务id
    private String transactionId;
    //买家地址id
    private Long buyerAddressId;
    //促销价
    private BigDecimal promotionPrice;
    //
    private String outTradeNo;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 数量 
     * @return
     */
    public Integer getNum() {
        return num;
    }
    /**
     * 数量 
     * @param num
     */
    public void setNum(Integer num) {
        this.num = num;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 买家名 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 支付金额 
     * @return
     */
    public BigDecimal getPayAmount() {
        return payAmount;
    }
    /**
     * 支付金额 
     * @param payAmount
     */
    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 退货数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退货数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 创建时间撮 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间撮 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间撮 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间撮 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 国家 
     * @return
     */
    public String getContry() {
        return contry;
    }
    /**
     * 国家 
     * @param contry
     */
    public void setContry(String contry) {
        this.contry = contry;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区 
     * @return
     */
    public String getDistrict() {
        return district;
    }
    /**
     * 区 
     * @param district
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 买家详细地址 
     * @return
     */
    public String getBuyerDetailAddress() {
        return buyerDetailAddress;
    }
    /**
     * 买家详细地址 
     * @param buyerDetailAddress
     */
    public void setBuyerDetailAddress(String buyerDetailAddress) {
        this.buyerDetailAddress = buyerDetailAddress;
    }

    /**
     * 下单时间 
     * @return
     */
    public Date getGmtDownOrder() {
        return gmtDownOrder;
    }
    /**
     * 下单时间 
     * @param gmtDownOrder
     */
    public void setGmtDownOrder(Date gmtDownOrder) {
        this.gmtDownOrder = gmtDownOrder;
    }

    /**
     * 支付时间 
     * @return
     */
    public Date getGmtPay() {
        return gmtPay;
    }
    /**
     * 支付时间 
     * @param gmtPay
     */
    public void setGmtPay(Date gmtPay) {
        this.gmtPay = gmtPay;
    }

    /**
     * app 来源 
     * @return
     */
    public String getAppName() {
        return appName;
    }
    /**
     * app 来源 
     * @param appName
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 渠道，如抖音，微信小程序，朋友圈，bilibili 等 
     * @return
     */
    public String getChannel() {
        return channel;
    }
    /**
     * 渠道，如抖音，微信小程序，朋友圈，bilibili 等 
     * @param channel
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /**
     * 推广者买家id 
     * @return
     */
    public String getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者买家id 
     * @param promoterId
     */
    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    /**
     * 交易信息 
     * @return
     */
    public String getTradeInfo() {
        return tradeInfo;
    }
    /**
     * 交易信息 
     * @param tradeInfo
     */
    public void setTradeInfo(String tradeInfo) {
        this.tradeInfo = tradeInfo;
    }

    /**
     * 事务id 
     * @return
     */
    public String getTransactionId() {
        return transactionId;
    }
    /**
     * 事务id 
     * @param transactionId
     */
    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    /**
     * 买家地址id 
     * @return
     */
    public Long getBuyerAddressId() {
        return buyerAddressId;
    }
    /**
     * 买家地址id 
     * @param buyerAddressId
     */
    public void setBuyerAddressId(Long buyerAddressId) {
        this.buyerAddressId = buyerAddressId;
    }

    /**
     * 促销价 
     * @return
     */
    public BigDecimal getPromotionPrice() {
        return promotionPrice;
    }
    /**
     * 促销价 
     * @param promotionPrice
     */
    public void setPromotionPrice(BigDecimal promotionPrice) {
        this.promotionPrice = promotionPrice;
    }

    /**
     *  
     * @return
     */
    public String getOutTradeNo() {
        return outTradeNo;
    }
    /**
     *  
     * @param outTradeNo
     */
    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    @Override
    public String toString() {
        return "VvTradeOrderEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",num=" + num +
                ",buyerPhone=" + buyerPhone +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",payAmount=" + payAmount +
                ",refundAmount=" + refundAmount +
                ",refundCount=" + refundCount +
                ",buyerId=" + buyerId +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",contry=" + contry +
                ",province=" + province +
                ",city=" + city +
                ",district=" + district +
                ",buyerDetailAddress=" + buyerDetailAddress +
                ",gmtDownOrder=" + gmtDownOrder +
                ",gmtPay=" + gmtPay +
                ",appName=" + appName +
                ",channel=" + channel +
                ",promoterId=" + promoterId +
                ",tradeInfo=" + tradeInfo +
                ",transactionId=" + transactionId +
                ",buyerAddressId=" + buyerAddressId +
                ",promotionPrice=" + promotionPrice +
                ",outTradeNo=" + outTradeNo +
                "}";
    }
}